Mailinglist Archive: opensuse-updates (113 mails)

< Previous Next >
openSUSE-SU-2017:0925-1: moderate: Security update for pidgin
openSUSE Security Update: Security update for pidgin
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0925-1
Rating: moderate
References: #1009974 #1028835 #886670 #902408 #902409
#902410
Cross-References: CVE-2014-3695 CVE-2014-3696 CVE-2014-3698
CVE-2017-2640
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that solves four vulnerabilities and has two
fixes is now available.

Description:


This update for pidgin fixes the following issues:

Feature update:
- Update to GNOME 3.20.2 (fate#318572).

Security issues fixed:
- CVE-2017-2640: Fix an out of bounds memory read in
purple_markup_unescape_entity. (boo#1028835)
- CVE-2014-3698: remote information leak via crafted XMPP message
(boo#902408).
- CVE-2014-3696: denial of service parsing Groupwise server message
(boo#902410).
- CVE-2014-3695: crash in MXit protocol plug-in (boo#902409).

Bugfixes
- Correctly remove *.so files for plugins (fixes
devel-file-in-non-devel-package).
- Remove generation of a plugin list to package, simply add it all in
%files with exclusions.
- Build with GStreamer 1.x on SLE 12 SP2.
- Fix SASL EXTERNAL fingerprint authentication (boo#1009974).
- Use ALSA as default for avoiding broken volume control of pa sink
(boo#886670).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-431=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

finch-2.10.11-9.1
finch-debuginfo-2.10.11-9.1
finch-devel-2.10.11-9.1
libpurple-2.10.11-9.1
libpurple-debuginfo-2.10.11-9.1
libpurple-devel-2.10.11-9.1
libpurple-meanwhile-2.10.11-9.1
libpurple-meanwhile-debuginfo-2.10.11-9.1
libpurple-tcl-2.10.11-9.1
libpurple-tcl-debuginfo-2.10.11-9.1
pidgin-2.10.11-9.1
pidgin-debuginfo-2.10.11-9.1
pidgin-debugsource-2.10.11-9.1
pidgin-devel-2.10.11-9.1

- openSUSE Leap 42.1 (noarch):

libpurple-branding-upstream-2.10.11-9.1
libpurple-lang-2.10.11-9.1


References:

https://www.suse.com/security/cve/CVE-2014-3695.html
https://www.suse.com/security/cve/CVE-2014-3696.html
https://www.suse.com/security/cve/CVE-2014-3698.html
https://www.suse.com/security/cve/CVE-2017-2640.html
https://bugzilla.suse.com/1009974
https://bugzilla.suse.com/1028835
https://bugzilla.suse.com/886670
https://bugzilla.suse.com/902408
https://bugzilla.suse.com/902409
https://bugzilla.suse.com/902410


< Previous Next >
This Thread
  • No further messages